AntTarget (Gradle API 8.14.3)
Description: declaration: package: org.gradle.api.tasks.ant, class: AntTarget

Package org.gradle.api.tasks.ant

# Class AntTarget

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.ant.AntTarget

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Gradle would require more information to cache this task") public abstract class AntTarget extends org.gradle.api.internal.ConventionTask
A task which executes an Ant target.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AntTarget()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `executeAntTarget()`
  `File`
  `getBaseDir()`
  Returns the Ant project base directory to use when executing the target.
  `String`
  `getDescription()`
  Returns the description of this task.
  `org.apache.tools.ant.Target`
  `getTarget()`
  Returns the Ant target to execute.
  `void`
  `setBaseDir(File baseDir)`
  Sets the Ant project base directory to use when executing the target.
  `void`
  `setDescription(String description)`
  Sets a description for this task.
  `void`
  `setTarget(org.apache.tools.ant.Target target)`
  Sets the Ant target to execute.

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### AntTarget

    public AntTarget()

- ## Method Details

  - ### executeAntTarget

    protected void executeAntTarget()

  - ### getTarget

    @Internal public org.apache.tools.ant.Target getTarget()
    Returns the Ant target to execute.

  - ### setTarget

    public void setTarget(org.apache.tools.ant.Target target)
    Sets the Ant target to execute.

  - ### getBaseDir

    @Internal public File getBaseDir()
    Returns the Ant project base directory to use when executing the target.

  - ### setBaseDir

    public void setBaseDir(File baseDir)
    Sets the Ant project base directory to use when executing the target.

  - ### getDescription

    @Internal public String getDescription()
    Returns the description of this task.
    Specified by:
      `getDescription` in interface `Task`
    Overrides:
      `getDescription` in class `DefaultTask`
    Returns:
      the description. May return null.

  - ### setDescription

    public void setDescription(String description)
    Sets a description for this task. This should describe what the task does to the user of the build. The description will be displayed when `gradle tasks` is called.
    Specified by:
      `setDescription` in interface `Task`
    Overrides:
      `setDescription` in class `DefaultTask`
    Parameters:
      `description` - The description of the task. Might be null.